> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Downloading Sequence Data

Retrieve the sequence data (i.e., original FASTA or FASTQ file) for an individual sample. First `POST` to the `download_uri` endpoint for the individual sample. Then download the provided pre-signed `download_uri` link within the provided link expiration timeframe.

For premium platform account users, One Codex also acts as a secure, highly redundant backup copy of your sequence data and permits )*ad hoc* retrieval of that data. Within our embedded [Jupyter Notebooks](/api-reference/jupyter-notebooks), the underlying sequence data may be freely downloaded and further analyzed as it does result in bandwidth egress charges from our cloud environment.

Note that this route is a `POST` because it may incur retrieval charges for large amounts of data and so should not be repeatedly retried. Care should also be taken in porting code using the download\_uri route from a notebook environment on the One Codex platform to an external environment (where downloads may be unavailable depending on your platform account level).


## OpenAPI

````yaml POST /api/v1/samples/{id}/download_uri
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/samples/{id}/download_uri:
    post:
      summary: POST samples download_uri
      operationId: post_samples_download_uri
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  download_uri:
                    type: string
                    description: A pre-signed download link.
                  expires_in_hours:
                    type: integer
                    description: The number of hours for which `download_uri` is valid.
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````